Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 587008 - app-misc/g15daemon-1.9.5.3-r21 (was -r13): long time non-keyworded
Summary: app-misc/g15daemon-1.9.5.3-r21 (was -r13): long time non-keyworded
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2020-10-09
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-25 07:28 UTC by Michał Górny
Modified: 2021-04-07 11:41 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-06-25 07:28:37 UTC
I've just moved the g510 variant to -r20 to make more space for normal revbumps, and added python-r1 fun to both.

However, FWICS the g510 variant is non-keyworded since the following commit:

commit ee40d75a7fa55bb90ced3fde443f8d7987d7e897
Author:     Robin H. Johnson <robbat2@gentoo.org>
AuthorDate: Fri Oct 12 22:22:20 2012
Commit:     Robin H. Johnson <robbat2@gentoo.org>
CommitDate: Fri Oct 12 22:22:20 2012

    More g510 fun. 1.9.5.3-r6 will give you partial support, 9999 will give you full support.
    
    Package-Manager: portage-2.2.0_alpha121/cvs/Linux x86_64

It's almost four years already...

Besides, the ebuilds are full of QA failures, missing ||die, incl. actually failing commands.
Comment 1 Sam James archtester gentoo-dev Security 2021-04-06 21:25:02 UTC
ping?
Comment 2 Larry the Git Cow gentoo-dev 2021-04-07 11:41:49 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6001442e6a824e0170d1fe50fb08b80e8d41e614

commit 6001442e6a824e0170d1fe50fb08b80e8d41e614
Author:     Lars Wendler <polynomial-c@gentoo.org>
AuthorDate: 2021-04-07 11:40:44 +0000
Commit:     Lars Wendler <polynomial-c@gentoo.org>
CommitDate: 2021-04-07 11:40:44 +0000

    app-misc/g15daemon: Removed unkeyworded ebuild
    
    No way for me to test this due to lack of g510 hardware.
    
    Closes: https://bugs.gentoo.org/587008
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

 app-misc/g15daemon/g15daemon-1.9.5.3-r21.ebuild | 152 ------------------------
 1 file changed, 152 deletions(-)